# HyperAudio

HyperAudio is an AutoHotkey (AHK) script to toogle two Audio Output Devices and to control sound volume for Windows 10.

## Installation

Run AHK Script or compile it yourself or download precompiled release.

## Usage

First run will create a hyperaudio.ini file.

Edit Names of Audio Output Devices. Extract Names from Windows Sound Settings.

Example
```
Speaker (Realtek High Definiton Audio) 
Headset (Realtek High Definiton Audio) 
```

Will Result in **hyperaudio.ini**:
```
[Devices]
Output1=Speaker
Output2=Headset
```

Alt+WheelUp: Increase Volume +5
Alt+WheelDown: Decrease Volume +5

Ctrl+F12: Toggle Audio Output Device

## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.

## License
[GNU GPL v3](https://choosealicense.com/licenses/gpl-3.0/)

